# Class FastRemovalDequeue.Entry

java.lang.Object
org.apache.jasper.util.FastRemovalDequeue.Entry

Enclosing class:
  `FastRemovalDequeue<T>`

public class FastRemovalDequeue.Entry extends Object
Implementation of a doubly linked list entry. All implementation details are private. For the consumer of the above collection, this is simply garbage in, garbage out.

## Method Summary

Modifier and Type
Method
Description
`final void`
`clearReplaced()`
Clears the displaced content reference.
`final T`
`getContent()`
Returns the content stored in this entry.
`final T`
`getReplaced()`
Returns the content that was displaced when this entry was added to a full queue.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getContent

public final T getContent()
Returns the content stored in this entry.

Returns:
  the content object

### getReplaced

public final T getReplaced()
Returns the content that was displaced when this entry was added to a full queue.

Returns:
  the displaced content, or `null` if no content was displaced

### clearReplaced

public final void clearReplaced()
Clears the displaced content reference.

### toString

public String toString()

Overrides:
  `toString` in class `Object`